%global momorel 4
Summary: Net-Telnet Perl module 
Name: perl-Net-Telnet
Version: 3.03
Release: %{momorel}m%{?dist}
License: Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Net/Net-Telnet-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.8.8-10m
BuildRequires:  perl-Digest-HMAC
Requires:       perl

%description
Net::Telnet allows you to make client connections to a TCP port and do network I/O,
especially to a port using the TELNET protocol. Simple I/O methods such as print,
get, and getline are provided. More sophisticated interactive features are provided
because connecting to a TELNET port ultimately means communicating with a program
designed for human interaction. These interactive features include the ability to
specify a time-out and to wait for patterns to appear in the input stream, such as
the prompt from a shell.

%prep
%setup -q -n Net-Telnet-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
rm -rf --preserve-root %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog MANIFEST README
%{perl_vendorlib}/Net/*
%{_mandir}/man3/*.3*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.03-4m)
- rebuild against gcc43

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.03-3m)
- fix files dup

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.03-2m)
- use vendor

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.03-1m)
- initial commit

